﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ViewImage.aspx.cs" Inherits="ViewImage" Title="Pictures" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>View Picture</title>
<style type="text/css">
    .PictureButton
    {
	font: bold 8pt tahoma,arial,sans-serif;
    color: #000000;
    background-color: #FFFFFF;
    cursor: hand;
    height: 22px;
    }
</style>

</head>
<body runat="server" id="BodyTag">
    <form id="form1" runat="server">
    
    <table border="0" width="100%">
    <tr>
    <td align="left" width="50%" >
        <asp:Button ID="cmdFirst" runat="server" AccessKey="F" CssClass="PictureButton" 
                ToolTip="Go to first picture (ALT+F)" Text="First" onclick="cmdFirst_Click" />
        <asp:Button ID="cmdPrev" runat="server" AccessKey="P"  CssClass="PictureButton"
                ToolTip="Go to previous picture (ALT+P)" Text="Previous" onclick="cmdPrev_Click" />
        <asp:Button ID="cmdNext" runat="server" AccessKey="N" CssClass="PictureButton"
                ToolTip="Go to next picture (ALT+N)" Text="Next" onclick="cmdNext_Click"/>
        <asp:Button ID="cmdLast" runat="server" AccessKey="L" CssClass="PictureButton"
                ToolTip="Go to last picture (ALT+L)" Text="Last" onclick="cmdLast_Click" />
        
    </td>
    <td align="center" width="25%">
        <asp:ImageButton ID="cmdBlack" runat="server" onclick="cmdBlack_Click" AccessKey="B" 
            ToolTip="Use black background" ImageUrl="~/Assets/Images/BlackBg.png" />
        &nbsp;
        <asp:ImageButton ID="cmdWhite" runat="server" onclick="cmdWhite_Click" AccessKey="W" 
                ToolTip="Use white background" ImageUrl="~/Assets/Images/WhiteBg.png"/>
    </td>
    <td align="right" width="25%">
        <asp:ImageButton ID="cmdNormalSize" runat="server" 
            ToolTip="Show image in its original size" 
            ImageUrl="~/Assets/Images/FitNormal.png" onclick="cmdNormalSize_Click"/>
        &nbsp;
        <asp:ImageButton ID="cmdHorizontal" runat="server" 
            ToolTip="Fit image horizontally" 
            ImageUrl="~/Assets/Images/FitHorizontal.png" onclick="cmdHorizontal_Click"/>
        &nbsp;
        <asp:ImageButton ID="cmdVertical" runat="server" 
            ToolTip="Fit image vertically" ImageUrl="~/Assets/Images/FitVertical.png" 
            onclick="cmdVertical_Click"/>
    </td>
    </tr>
    </table>
    
    <div style="text-align:center">
    <asp:Image ID="Image1" runat="server" />
    </div>
    
    <div>
    <asp:Label ID="lblName" runat="server" Text="picture name"></asp:Label>
    &nbsp;
    <asp:Label ID="lblCount" runat="server" Text="(1/1)"></asp:Label>
    &nbsp;
    <asp:Label ID="lblSize" runat="server" Text="(size)"></asp:Label>
    </div>
    
    </form>
</body>
</html>
