﻿<%@ Page Language="C#" MasterPageFile="~/AppMaster.master" AutoEventWireup="true" CodeFile="RecentChanges.aspx.cs" Inherits="RecentChanges" Title="Recent Changes" %>

<asp:Content ID="Content1" ContentPlaceHolderID="phSidebar" Runat="Server">
    <p>View changes made in...</p>
    <p><asp:Button ID="cmd24Hrs" Text="Last 24 Hours"  runat="server" 
        onclick="cmd24Hrs_Click"/></p>
    <p><asp:Button ID="cmd7Days" Text="Last 7 Days"  runat="server" 
        onclick="cmd7Days_Click" /></p>
    <p><asp:Button ID="cmd30Days" Text="Last 30 Days"  runat="server" 
        onclick="cmd30Days_Click" /></p>
    <p>
    <asp:Image ID="Image1" runat="server" ImageUrl="~/Assets/Images/rss_icon.jpg"/>
    <asp:HyperLink ID="Hyperlink1" runat="server" NavigateUrl="~/BlogRecentChanges.aspx" 
        target="_blank" ToolTip="Subscribe to recent changes via an RSS feed" Font-Size="Small">Subscribe</asp:HyperLink>
</p>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="phMain" Runat="Server">
<p>
<asp:Label ID="lblTitle" runat="server"></asp:Label>
</p>
<asp:GridView ID="gvTopics" runat="server" AutoGenerateColumns="false" 
	EmptyDataText="There are no topics to display."
	RowStyle-Height="25px" CellSpacing="5" HeaderStyle-Height="0px">
    <Columns>			
	    <asp:HyperLinkField DataTextField="Name" DataNavigateUrlFields="Url" 
	        DataNavigateUrlFormatString="~/Default.aspx?topic={0}" 
	        HeaderText="Topic" 
	        ControlStyle-Font-Bold="false"/>
	    <asp:BoundField DataField="UpdatedOn" HeaderText="Updated On" />
	    <asp:BoundField DataField="UpdatedBy" HeaderText="Updated By" />	    
    </Columns>
</asp:GridView>
<asp:Literal ID="litError" runat="server" Visible = "false"></asp:Literal>
</asp:Content>

